%define         configfile      sample.wmndrc

Name:           wmnd
Version:        0.4.18
Release:        %mkrel 4
Summary:        A dock application to monitor your network interfaces
License:        GPLv2
Group:          Monitoring

URL:            http://www.thregr.org/~wavexx/software/wmnd
Source0:        http://www.thregr.org/~wavexx/software/wmnd/releases/%{name}-%{version}.tar.gz


BuildRequires:  gawk
BuildRequires:  grep
BuildRequires:  libtool-base
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  libnet-snmp-devel
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(openssl)


%description
Wmnd is a highly customizable network monitoring dock application for
WindowMaker, or any desktop environment that handles docking. It shows
a graph of the network traffic of the past few minutes, current
activity and current and overall send and receive rates. Additionally
it can launch any program in response to mouse clicks. Other
customizations can be set in an easy-to-understand configuration file
".wmndrc" assumed to reside in your home directory, an example of
which being provided in %{_datadir}/%{name}/%{configfile}.


%prep
%setup -q

%build
%configure --datadir=%{_datadir}/%{name}
%make_build


%install
%make_install
mv %buildroot%{_docdir}/%{name}/examples/wmndrc %buildroot%{_docdir}/%{name}/%{configfile}



%files
%doc README.rst NEWS.rst THANKS.rst TODO.rst ChangeLog.0
%{_bindir}/%{name}
%{_docdir}/%{name}/%{configfile}
%{_mandir}/man1/%{name}*.1.*





%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.4.18-4.mga9
+ Revision: 1841456
- Mageia 9 Mass Rebuild

* Tue Nov 03 2020 eatdirt <eatdirt> 0.4.18-3.mga8
+ Revision: 1642358
- Rebuild for new libsnmp

* Tue Nov 03 2020 akien <akien> 0.4.18-2.mga8
+ Revision: 1642134
- Rebuild for new libnetsnmp

* Fri Sep 04 2020 eatdirt <eatdirt> 0.4.18-1.mga8
+ Revision: 1622021
- Upgrade to version 0.4.18

* Fri Feb 14 2020 umeabot <umeabot> 0.4.17-10.mga8
+ Revision: 1521676
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.4.17-9.mga7
+ Revision: 1346035
- rebuild for net-snmp

* Sun Sep 23 2018 umeabot <umeabot> 0.4.17-8.mga7
+ Revision: 1301700
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.4.17-7.mga6
+ Revision: 937455
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.4.17-6.mga6
+ Revision: 937008
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.17-5.mga5
+ Revision: 746611
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.17-4.mga5
+ Revision: 690347
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.17-3.mga4
+ Revision: 520156
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4.17-2.mga3
+ Revision: 385778
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 eatdirt <eatdirt> 0.4.17-1.mga3
+ Revision: 284151
- Upgrade to version 0.4.17

* Mon Jan 23 2012 eatdirt <eatdirt> 0.4.16-1.mga2
+ Revision: 199993
- imported package wmnd


* Sun Jan 22 2012 Chris Ringeval <dirteat@gmail.com> 0.4.16-1.mga2
- Import wmnd

